Guard Cage:
As the name suggests, the island is swarming with alligators! It is a popular tourist destination, where travelers go to sample the delicious meet or collect the valuable pelts of these reptiles.
Besides alligators there are also beasts on the island called crokians. Their apperance is similar to that of alligators, but they walk on two legs and use their hands to wield weapons! They are related to lizardmen and consider alligators sacred... These crokians make the island a very dangerous place, even for the most experienced hunter.
If you're going there, I heard that Grocer Enverun is currently looking for someone to go to the island on his behalf...
Return